ECHO OFF
set SCRIPT_CURRENT_DIR=%~d0%~p0

%~d0
cd %SCRIPT_CURRENT_DIR%

CLS
ECHO ------------------------------------------------------------------------
ECHO                         EDIUS 5.11 Updater Patch                        
ECHO  Copyright (C) 2003-2009 Thomson Canopus Co., Ltd. All rights reserved. 
ECHO ------------------------------------------------------------------------

SET PF=%PROGRAMFILES%
SET REGFILE=EDIUS511.reg

REM -- Vista(x64) --
IF %PROCESSOR_ARCHITECTURE%==AMD64 SET PF=%PROGRAMFILES(x86)%
IF %PROCESSOR_ARCHITECTURE%==AMD64 SET REGFILE=EDIUS511_Vista64.reg

IF "%~1"=="" (
SET TARGET="%PF%\Canopus\EDIUS 5"
) ELSE (
SET TARGET=%1
)
SET TARGET=%TARGET:"=%


SET TDPINP_TPI=Cts3DPinP.tpi
SET SRC_DIR=%SCRIPT_CURRENT_DIR%\EDIUS

ECHO Destination Folder:
ECHO  %TARGET%

SET TARGET=%TARGET%\PlugIn

IF NOT EXIST "%TARGET%" (
ECHO.
ECHO #Error: Destination Folder does not exist or Module composition is inaccurate.
ECHO.
GOTO ERR
)

SET DEST="%TARGET%\%TDPINP_TPI%"
SET SRCTPI="%SRC_DIR%\%TDPINP_TPI%"
SET MARGEREG="%SRC_DIR%\%REGFILE%"

REM -- Copy module and marge registry --
COPY /Y /V %SRCTPI% %DEST%
SET RESULT=0
SET /a RESULT=%RESULT% + %ERRORLEVEL%
REG import %MARGEREG%
SET /a RESULT=%RESULT% + %ERRORLEVEL%

IF NOT %RESULT%==0 GOTO ERR

ECHO Setup has finished installing 5.11 Updater.
ECHO.
PAUSE

EXIT /b


REM -- Error message --
:ERR
ECHO Setup has not finished successfully.
ECHO.
PAUSE